package meerkat.voting.gui.ui.controllersFX;

import javafx.fxml.FXML;
import javafx.scene.control.ToggleGroup;
import javafx.scene.layout.Pane;
import javafx.scene.layout.VBox;
import javafx.scene.text.Text;
import meerkat.protobuf.Voting;
import meerkat.voting.controller.callbacks.CastOrAuditCallback;
import meerkat.voting.controller.callbacks.ControllerCallback;
import meerkat.voting.controller.callbacks.VoterCancelThrowable;
import meerkat.voting.gui.ui.UIUtils;
import meerkat.voting.gui.ui.VotingBoothUI;
import meerkat.voting.gui.ui.uicommands.CastOrAuditUICommand;
import meerkat.voting.gui.ui.uicommands.RaceVotingUICommand;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

//import meerkat.voting.gui.ui.UIUtils;

/**
 * Created by Vladimir Eliezer Tokarev on 8/27/2016.
 * ChannelChoiceController handle the behavior of select channel section screen
 */
public class CastOrAuditController {

    CastOrAuditUICommand command = (CastOrAuditUICommand) VistaNavigator.getCurrentCommand();
    VotingBoothUI.FinalizeBallotChoice fChoice;


    @FXML
    private void cast() {
        fChoice = VotingBoothUI.FinalizeBallotChoice.CAST;
        nextPane();
    }

    @FXML
    private void audit() {
        fChoice = VotingBoothUI.FinalizeBallotChoice.AUDIT;
        nextPane();
    }

    private void nextPane() {
        VistaNavigator.loadVista(VistaNavigator.LOADING);
        VistaNavigator.uiThread.answerCastOrAuditScreen(command, fChoice);
    }


//
//    @FXML
//    private void doCancel() throws VoterCancelThrowable{
//        String errorMessage = "doCastOrAudit: some error with reading input from console. details: " + e;
//        logger.error(errorMessage);
//        command.getCallback().onFailure(e);
//        //see what is done in the original (basically need to call the callback of the command onFailure()
//    }


}
