package meerkat.voting.gui.ui.controllersFX;

/**
 * Created by Laura on 01/12/2017.
 */
import javafx.fxml.FXML;
import javafx.scene.Node;
import javafx.scene.layout.StackPane;
import javafx.scene.text.Text;
import meerkat.voting.gui.ui.CommandPend;
import meerkat.voting.gui.ui.uicommands.UICommand;

/**
 * Main controller class for the entire layout.
 */
public class PrinterController {

    /** Holder of a switchable vista. */
    @FXML
    private StackPane printerHolder;
    @FXML
    private Text content;

    /**
     * Replaces the vista displayed in the vista holder with a new vista.
     *
     * @param node the vista node to be swapped in.
     */
    public void setVista(Node node) {
        printerHolder.getChildren().setAll(node);
    }

    public void setContent(String s) {
        content.setText(s);
    }

    public void addContent(String s) {
        String old_content = content.getText();
        content.setText(old_content+"\n"+s);
    }

}